Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1466908

Summary: Fedora 26 Final build of fedora-release needed
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: fedora-releaseAssignee: Dennis Gilmore <dennis>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 26CC: dennis, dgilmore, jdisnard, kellin, kevin, kparal, mboddu, pbrobinson, robatino, sgallagh, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedBlocker
Fixed In Version: fedora-release-26-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-06 22:52:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1349188    

Description Adam Williamson 2017-06-30 17:30:08 UTC
We need a final-ish fedora-release package build done. Right now the F26 fedora-release package is fedora-release-26-0.7.noarch ; as dgilmore reminds us, anaconda checks the 'release' portion of the fedora-release EVR to decide whether or not to show the 'Timbuktu screen' / betanag (it shows it if the 'release' is 0.x), and that's in the criteria:

"No notices or alerts about pre-release status may be shown as part of installation or critical path actions on release-blocking desktops."

so this is a Final blocker. I believe these days we don't have to do much if anything else besides bumping the 'release' to 1, as repo definitions are in fedora-repos , for which we have a separate bug open to disable updates-testing.

Comment 1 Stephen Gallagher 2017-06-30 18:40:24 UTC
I just did an install from the RC 1.1 image a moment ago (specifically, the Fedora Server 26 RC 1.1 DVD image) and was not prompted with the pre-release nag screen.

Are you sure this is still the case?

Comment 2 Stephen Gallagher 2017-06-30 18:44:46 UTC
Adam informs me on IRC that this is different between Live and non-Live media and that the issue remains on the Workstation Live media.

So, +1 blocker

Comment 3 Dennis Gilmore 2017-06-30 19:18:19 UTC
+1 blocker

Comment 4 Kevin Fenzi 2017-06-30 19:20:23 UTC
+1 bocker.

Comment 5 Adam Williamson 2017-06-30 20:00:12 UTC
That's enough votes, accepting.

Comment 6 Fedora Update System 2017-06-30 20:51:45 UTC
generic-release-26-1 fedora-repos-26-1 fedora-release-26-1 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-459d827225

Comment 7 Fedora Update System 2017-07-01 20:54:49 UTC
fedora-release-26-1, fedora-repos-26-1, generic-release-26-1 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-459d827225

Comment 8 Kamil Páral 2017-07-03 12:39:27 UTC
There's no pre-release warning screen on Workstation Live RC 1.3.

Comment 9 Fedora Update System 2017-07-06 22:52:03 UTC
fedora-release-26-1, fedora-repos-26-1, generic-release-26-1 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.